.tn-box {
	min-width: 360px;
	position: absolute;
    bottom: 0;
    right: 0;
	margin: 20px;
	padding: 25px 15px;
	text-align: left;
	border-radius: 5px;
    box-shadow: 
		0 1px 1px rgba(0,0,0,0.1), 
		inset 0 1px 0 rgba(255,255,255,0.6);  
    opacity: 50;
    cursor: default;
    z-index: 999;
}

.tn-box-color-1{
	background: #ffe691;
	border: 1px solid #f6db7b;
}

.tn-progress {
	width: 0;
	height: 4px;
	background: rgba(255,255,255,0.1);
	position: absolute;
	bottom: 5px;
	left: 2%;
	border-radius: 3px;
	box-shadow: 
		inset 0 1px 1px rgba(0,0,0,0.05), 
		0 -1px 0 rgba(255,255,255,0.6);
}

.tn-box {
	display: block;
	animation: fadeOut 5s linear forwards;
}

.tn-box .tn-progress {
	animation: runProgress 4s linear forwards 0.5s;
}

.tn-box {
	display: block;
	animation: fadeOut 5s linear forwards;
}

.tn-box .tn-progress {
	animation: runProgress 4s linear forwards 0.5s;
}

@keyframes fadeOut {
	0% 	{ opacity: 0; transform: translateX(-50px);}
	10% { opacity: 1; transform: translateX(0px);}
	90% { opacity: 1; transform: translateY(0px);}
	99% { opacity: 0; transform: translateX(-50px);}
	100% { opacity: 0; }
}

@keyframes fadeIn {
	0% 	{ opacity: 0; transform: translateX(-50px);}
	40% { opacity: 1; transform: translateX(0px);}
}

.notif-box{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 12px 16px;
    gap: 16px;
    width: 380px;
    height: auto;
    border-radius: 10px;

    min-width: 360px;
	position: absolute;
    bottom: 0;
    right: 0;
    cursor: default;
    margin: 20px;
}

.success-notif{
    background: var(--orange-extra-light);
}

.error-notif{
    background: #FEE4EA;
}

.progress-bar-success-bg{
    height: 4px;
    background: var(--orange-light);
}

.progress-bar-error-bg{
    height: 4px;
    background: #EF748A;
}

.success-progressing-bar{
    height: 4px;
    background: var(--orange-secondary);
    width: 0%;
    border-radius: 2px;
}

.error-progressing-bar{
    height: 4px;
    background: #CA2F54;
    width: 0%;
    border-radius: 2px;
}

@keyframes Progressing {
	0%	{ width: 0%;}
	100% { width: 100%;}
}

.progress-3sec{
    animation: Progressing 3s linear forwards 0.5s;
}

.box-fade-out-4sec{
    animation: fadeOut 4s linear forwards;
}

.box-fade-in{
    animation: fadeIn 1s linear forwards;
}